
QGIS Application - Bug report #14294

Measure Tool

2016-02-14 08:29 PM - Ben Perry

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 22285

Description

We were using QGIS 2.6.1 build and have recently upgraded to v2.8.6 all 5 new installations have this issue running on Windows 7 Pro

and Windows 8.1

We have a saved QGIS project, which opens fine.  As soon as we click on the measure tool a small window with qgis-ltr-bin opens and a

progress bar starts with the text "indexing data..."

We have saved the project to the latest version v2.8.6 and still get this every time we select the measure tool.

Building this data index takes nearly 15 minutes to complete and we can then use the tool without issue until we close the program. When

we restart the program same issue.

We have tried saving after the data index has been re-built, still get same issue when we open the project.

Out of interest, what data index is being built in order to perform a measurement?  Is it something to do with the CRS?

Trying to cancel the "indexing data..." window results in a crash.

History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-03-07 04:31 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

This sounds more like a question for the users or developers mailing lists rather than a bug report.

Anyway if you still have issues with the latest qgis releases as 2.18.4 please reopen this ticket, attaching a sample project and data to allow us replicate.

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
